<?php
         if($_REQUEST['ajax']) {
            switch($_REQUEST['code']) {
                case "transno":
                  if(RetRstField("SELECT fnid FROM tlstock_group WHERE ftstock_group_code='{$_REQUEST['fttrans_no']}'")) {
                      ?>

                      alert('Kode Group sudah dipakai... ');
                <?php
                  }
                  else {
                        ?>


                      submitbutton('Simpan','','','','');

                <?php
                  }
                break;
            }       
            die("");
        }
        
        Getsecurity("group_barang");

        $objAxpDB->ViewName("Daftar Group Barang");
//        $objAxpDB->ViewTable("vIGroupBarang");
        $objAxpDB->ViewSQL("SELECT fnid, ftstock_group_code, ftstock_group_name, ftparent_code FROM tlstock_group ORDER BY  ftstock_group_code,ftstock_group_name");
        $objAxpDB->ViewCaption("ID, Kode Group, Nama Group, Group Induk, Level, Transfer Data");

        $objAxpDB->FormName("Group Barang"); 
        $objAxpDB->FormSQL("SELECT  ftstock_group_code, ftstock_group_name, ftparent_code, fnlevel FROM tlstock_group");
        $objAxpDB->FormCaption(" Kode Group, Nama Group, Group Induk, Level");
        $objAxpDB->FormScript(2, "onChange=\"ajax_do('query2.php?code=100&obj1=' + this.value + '&obj2=fnlevel');\"");
             
        $objAxpDB->Lookup("ftparent_code", "SELECT ftstock_group_code, ftstock_group_name FROM tlstock_group  GROUP BY fnlevel, ftstock_group_code, ftstock_group_name", "ftstock_group_code", "ftstock_group_name", -1,true);
        $objAxpDB->FormPosition("TL, TL, TL,HD"); 
        $objAxpDB->SetStatus("id");                        
        if ($objAxpDB->GetStatus("id") == "") {
                $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel ,  tutup");
                
        }
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->ButtonShow("reset, simpan, tutup");
                $objAxpDB->FormLocked("0,0,0,1,0,0");
                
        }
        elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->ButtonShow("update, hapus, tutup"); 
                $objAxpDB->FormLocked("1, 0, 0");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
			
?>
